> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List GOV ordered documents



## OpenAPI

````yaml /openapi/kyb.yaml get /api/v2/gov-ordered-documents/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYB Token
    description: KYB token endpoints to begin KYB flow.
  - name: KYB Forms
    description: Endpoints for KYB form actions.
  - name: KYB Documents
    description: KYB documents CRUD endpoints for the KYB form.
  - name: Beneficiaries
    description: Beneficiaries CRUD endpoints for the KYB form.
  - name: KYB Questionnaires
    description: KYB questionnaires endpoints.
  - name: Companies
    description: Endpoints for actions with companies.
  - name: Credit Bureau
    description: Endpoints for actions with credit bureau documents.
  - name: GOV Registers
    description: Endpoints for actions with GOV registers documents.
  - name: GOV Orders
    description: Endpoints for actions with GOV ordered documents.
  - name: SOS Reports
    description: Endpoints for actions with SOS filing documents.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /api/v2/gov-ordered-documents/:
    get:
      tags:
        - GOV Orders
      summary: List GOV ordered documents
      operationId: apiV2GovOrderedDocumentsList
      parameters:
        - in: query
          name: deliveredAfter
          schema:
            type: string
            format: date-time
        - in: query
          name: deliveredBefore
          schema:
            type: string
            format: date-time
        - in: query
          name: documentFormat
          schema:
            type: string
        - in: query
          name: expectedDeliveryAfter
          schema:
            type: string
            format: date-time
        - in: query
          name: expectedDeliveryBefore
          schema:
            type: string
            format: date-time
        - in: query
          name: orderBy
          schema:
            type: array
            items:
              type: string
              enum:
                - '-deliveryTime'
                - '-expectedDeliveryTime'
                - '-orderTime'
                - deliveryTime
                - expectedDeliveryTime
                - orderTime
          description: Ordering
          explode: false
          style: form
        - in: query
          name: orderedAfter
          schema:
            type: string
            format: date-time
        - in: query
          name: orderedBefore
          schema:
            type: string
            format: date-time
        - in: query
          name: status
          schema:
            type: string
            enum:
              - FAILED
              - FINISHED
              - IN_PROGRESS
              - NOT_ORDERED
              - TIMED_OUT
        - in: query
          name: title
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GovPartnerOrderedDocument'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    GovPartnerOrderedDocument:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        title:
          type: string
          nullable: true
        documentFormat:
          type: string
          maxLength: 5
        productKey:
          type: string
        expectedDeliveryTime:
          type: string
          format: date-time
        price:
          type: number
          format: double
          minimum: 0
        deliveredAt:
          type: string
          format: date-time
          nullable: true
        status:
          $ref: '#/components/schemas/GovDocumentOrderStatusEnum'
        file:
          type: string
          format: uri
          nullable: true
      required:
        - expectedDeliveryTime
        - id
        - price
        - productKey
    GovDocumentOrderStatusEnum:
      enum:
        - NOT_ORDERED
        - IN_PROGRESS
        - FINISHED
        - FAILED
        - TIMED_OUT
      type: string
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````